#
# spec file for package qterm
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qterm
Version:        0.5.12
Release:        15.38
Summary:        QTerm is BBS client
License:        GPL-2.0+
Group:          System/X11/Terminals
Url:            http://qterm.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/qterm/%{name}-%{version}.tar.bz2
Source1:        qterm.desktop
Patch1:         qterm-0.5.12-gcc-4.7.patch
Patch2:         qterm-0.5.12-cmake-2.6.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  libjpeg-devel
BuildRequires:  libqt4-devel >= 4.5.0
BuildRequires:  libqt4-devel-doc
BuildRequires:  openssl-devel
BuildRequires:  python-devel
BuildRequires:  qt4-qtscript
BuildRequires:  update-desktop-files
Requires:       hicolor-icon-theme
Requires(post): update-desktop-files
Requires(postun): update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QTerm is a full featured BBS client written in Qt.

%prep
%setup -q
%patch1
%patch2 -p1

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
%cmake
make %{?_smp_mflags}

%install
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
%cmake_install
install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/
%fdupes -s %{buildroot}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%{_datadir}/qterm
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_bindir}/*

%changelog
* Fri Sep  4 2015 mpluskal@suse.com
- Use url for source
- Use cmake macros
- Use macros for updating desktop file and icon cache
- Use fdupes to replace duplicate files with symlinks
- Clenaup spec file with spec-cleaner
* Fri Dec 14 2012 bili@suse.com
- Add qterm-0.5.12-cmake-2.6.patch to build with cmake 2.6.x.
* Thu Mar 22 2012 aj@suse.de
- Fix build with gcc 4.7.
* Fri Sep 16 2011 bili@suse.com
- Upgrade to 0.5.12.
  - Finish the two new panel to make ANSI editing easier.
  - The new xml addressbook format is finally landed.
  - Improved the rendering result.
  - Implement the tranlucent background.
  - Some bugfixes as usual.
* Mon Aug 31 2009 coolo@novell.com
- do not hardcode buildroot values
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Thu Mar 26 2009 xwhu@suse.de
- Fix compiler warning on nonPOD type (bnc#483172)
* Tue Mar 25 2008 xwhu@suse.de
- Initial import of qterm 0.5 serial
  - completely switch to cmake
  - port to qt4
  - upstream changelog no longer available
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Thu Jun  7 2007 sbrabec@suse.cz
- Fixed deskop file translation.
- Removed invalid desktop Category "Application" (#254654).
* Mon Mar 12 2007 xwhu@novell.com
- Explicitly cast QCString to const char* in qtermtelnet.cpp
* Thu Jun 22 2006 ro@suse.de
- remove selfprovides
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 ro@suse.de
- change sequence in specfile
* Sun Jan 15 2006 xwhu@novell.com
- Minor fixes to meet the requirement of abuild system
* Sat Jan 14 2006 ro@suse.de
- fixed changelog again
* Wed Jan 11 2006 xwhu@novell.com
- Initial build of 0.4.0pre3
